SDL_AUDIO_FRAMESIZE(3)

NAME
SDL_AUDIO_FRAMESIZE - Calculate the size of each audio frame (in bytes) from an SDL_AudioSpec.

SYNOPSIS
#include <SDL3/SDL_audio.h>

#define SDL_AUDIO_FRAMESIZE(x) (SDL_AUDIO_BYTESIZE((x).format) * (x).channels)

DESCRIPTION
This reports on the size of an audio sample frame: stereo Sint16 data (2 channels of 2 bytes each) would be 4 bytes per frame, for example.

MACRO PARAMETERS

x   an SDL_AudioSpec to query.

RETURN VALUE
Returns the number of bytes used per sample frame.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.